Subject: RE: (ngtrans) W.G. Last Call on "Shipworm: Tunneling IPv6 over UD P through NATs"

From: "Christian Huitema" <[email-masked]>
Date: Tue, 16 Oct 2001 12:03:23 -0700

> I'm convinced that shipworm can be extended to allow for stable IPv6
> addresses even when the outer IPv4 addresses are subject to change.
> However this does require support for authentication, which
> complicates things somewhat.  I am supportive of shipworm provided 
> we do the remainder of the work to provide that authentication; I 
> just don't want to see us be content with the "not quite good 
> enough" solution.

This argument is developed in section 6 of the revised shipworm draft
(03). The IPv6 over UDP encapsulation used by Shipworm can obviously be
used by a compatible tunnel mechanism. Providing such a tunnel is only
justified if it results in addresses that are more stable than the
Shipworm addresses, and thus has two costs: we must be ready to
explicitly provision the clients, and we must define a standard
authentication procedure. Now, what about concrete proposals? Ladies and
gentlemen, start your keyboards...

-- Christian Huitema